net.sf.cglib.transform

## Class AbstractProcessTask

- java.lang.Object
- - Task
  - - net.sf.cglib.transform.AbstractProcessTask

- Direct Known Subclasses:
    AbstractTransformTask

      public abstract class AbstractProcessTask
      extends Task

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractProcessTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFileset(FileSet set)`
    `void` | `execute()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractProcessTask

          public AbstractProcessTask()

  - ### Method Detail

    - #### addFileset

          public void addFileset(FileSet set)

    - #### execute

          public void execute()
                       throws BuildException

      Throws:
        `BuildException`

Copyright (c) 2001 - Apache Software Foundation